%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname parsexp

Name:           ocaml-%{oname}
Version:        0.15.0
Release:        %mkrel 3
Summary:        S-expression parsing library
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-base-devel >= 0.14
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-sexplib0-devel >= 0.14

%description
This library provides generic parsers for parsing S-expressions from
strings or other media.

The library is focused on performances but still provide full generic
parsers that can be used with strings, bigstrings, lexing buffers,
character streams or any other sources effortlessly.

It provides three different class of parsers:
- the normal parsers, producing [Sexp.t] or [Sexp.t list] values
- the parsers with positions, building compact position sequences so
  that one can recover original positions in order to report properly
  located errors at little cost
- the Concrete Syntax Tree parsers, produce values of type
  [Parsexp.Cst.t] which record the concrete layout of the s-expression
  syntax, including comments

This library is portable and doesn't provide IO functions. To read
s-expressions from files or other external sources, you should use
parsexp_io.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build %{?_smp_mflags}

%check
dune runtest

%install
dune install --destdir=%{buildroot}
rm -rf %{buildroot}/usr/doc

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%doc README.org CHANGES.md
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sun Oct 09 2022 pterjan <pterjan> 0.15.0-3.mga9
+ Revision: 1895895
- Rebuild for new sexplib0

* Thu May 19 2022 pterjan <pterjan> 0.15.0-2.mga9
+ Revision: 1859219
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1857170
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 0.14.1-2.mga9
+ Revision: 1844553
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.14.1-1.mga9
+ Revision: 1751010
- 0.14.1

* Thu Mar 04 2021 tv <tv> 0.14.0-1.mga9
+ Revision: 1698370
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-4.mga8
+ Revision: 1670669
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1551658
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1543656
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1482067
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324484
- Add BuildRequires
- imported package ocaml-parsexp

